from setuptools import setup, find_packages


def get_requirements():
    with open('requirements.txt') as requirementsFile:
        requirements = requirementsFile.read().splitlines()
    return requirements


def readme():
    with open('README.md') as f:
        README = f.read()
    return README


setup(name="fmri_anonymizer",
      version='0.2.11',
      __version__='0.2.11',
      description="Anonymize your DICOM and NIFTI files with this tool easily.",
      long_description=readme(),
      long_description_content_type="text/markdown",
      url="https://caoslab.psy.cmu.edu:32443/hugoanda/fmri_anonymizer",
      author="Hugo Angulo",
      author_email="hugoanda@andrew.cmu.edu",
      license="MIT",
      classifiers=["License :: OSI Approved :: MIT License",
                   "Programming Language :: Python :: 3",
                   "Programming Language :: Python :: 3.7", ],
      packages=find_packages(),
      include_package_data=True,
      package_data={'': ['util/deid.dicom']},
      install_requires=["alive-progress==1.6.2", "deid==0.1.42", "dicom2nifti", "nibabel==3.2.1",
                        "nipype==1.6.0", "numpy==1.20.2", "pydeface==2.0.0", "pydicom", "SimpleITK==1.2.0",
                        "tqdm==4.60.0", "ttictoc==0.5.6", ],
      entry_points={"console_scripts": ["fmri_anonymizer=fmri_anonymizer.__main__:main", ]},
      python_requires='>=3.7', )
